Package org.kie.internal.services

## Class KieRuntimesImpl

- java.lang.Object
- - org.kie.internal.services.AbstractMultiService<Class<?>,​org.kie.api.internal.runtime.KieRuntimeService>
  - - org.kie.internal.services.KieRuntimesImpl

- All Implemented Interfaces:
    `Comparable<org.kie.api.internal.utils.KieService>`, `org.kie.api.internal.runtime.KieRuntimes`, `org.kie.api.internal.utils.KieService`

      public class KieRuntimesImpl
      extends AbstractMultiService<Class<?>,​org.kie.api.internal.runtime.KieRuntimeService>
      implements org.kie.api.internal.runtime.KieRuntimes

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KieRuntimesImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.internal.runtime.KieRuntimeService` | `getRuntime​(Class<?> clazz)` |
    `protected Class<org.kie.api.internal.runtime.KieRuntimeService>` | `serviceClass()` |
    `protected Class<?>` | `serviceKey​(org.kie.api.internal.runtime.KieRuntimeService service)` |

    - ### Methods inherited from class org.kie.internal.services.AbstractMultiService

      `getService`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.internal.utils.KieService

      `compareTo, servicePriority`

- - ### Constructor Detail

    - #### KieRuntimesImpl

          public KieRuntimesImpl()

  - ### Method Detail

    - #### getRuntime

          public org.kie.api.internal.runtime.KieRuntimeService getRuntime​(Class<?> clazz)

      Specified by:
        `getRuntime` in interface `org.kie.api.internal.runtime.KieRuntimes`

    - #### serviceClass

          protected Class<org.kie.api.internal.runtime.KieRuntimeService> serviceClass()

      Specified by:
        `serviceClass` in class `AbstractMultiService<Class<?>,​org.kie.api.internal.runtime.KieRuntimeService>`

    - #### serviceKey

          protected Class<?> serviceKey​(org.kie.api.internal.runtime.KieRuntimeService service)

      Specified by:
        `serviceKey` in class `AbstractMultiService<Class<?>,​org.kie.api.internal.runtime.KieRuntimeService>`